## jruby 9.4.12.0+ds

=== test/jruby/testapp/Makefile ===
testapp.exe: testapp.c
	gcc $^ -o $@

clean:
	rm -f testapp.exe

## jruby 1.5.0~rc3

=== debian/changelog ===
jruby (1.5.0~rc3-1) unstable; urgency=low

  * New upstream release (Closes: #581360).

 -- Sebastien Delafond <seb@debian.org>  Wed, 12 May 2010 15:56:25 +0200

jruby (1.5.0~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Moved to 4.0 (quilt) source format.
  * Updated watch file.
  * Bumped-up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Tue, 20 Apr 2010 18:01:51 +0200

jruby (1.4.0-2) unstable; urgency=low

  * Make sure we're comptaible with a 1.5 JRE (Closes: #563028); thanks to
    Shyamal Prasad <shyamal@member.fsf.org> for the patch.

 -- Sebastien Delafond <seb@debian.org>  Mon, 11 Jan 2010 14:44:34 +0100

jruby (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Updated watch file.
  * Updated copyright file to reflect addition of new third-party jars.

 -- Sebastien Delafond <seb@debian.org>  Thu, 10 Dec 2009 12:34:42 +0100

jruby (1.3.1-2) unstable; urgency=low

  * Moving to non-free, with detailed debian/copyright (Closes: #551618).
  * Got rid of jruby alternatives as provided by older jruby1.x.

 -- Sebastien Delafond <seb@debian.org>  Wed, 09 Dec 2009 17:30:55 +0100

jruby (1.3.1-1) unstable; urgency=low

  * First release (Closes: #548734).
  * Move to non-free (See #527977).

 -- Sebastien Delafond <seb@debian.org>  Mon, 19 Oct 2009 15:41:51 +0200

=== debian/control ===
Source: jruby
Section: non-free/ruby
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 6.0.7~), openjdk-6-jdk | java6-sdk, ant
Standards-Version: 3.8.4
Homepage: http://jruby.org

Package: jruby
Architecture: all
Replaces: jruby1.0, jruby1.1, jruby1.2
Depends: openjdk-6-jre | java6-runtime, ${misc:Depends}
Description: 100% pure-Java implementation of Ruby
 JRuby is a 100% pure-Java implementation of the Ruby programming language.
 .
 JRuby provides a complete set of core "builtin" classes and syntax
 for the Ruby language, as well as most of the Ruby Standard
 Libraries. The standard libraries are mostly Ruby's own complement of
 ".rb" files, but a few that depend on C language-based extensions have
 been reimplemented. Some are still missing, but JRuby hopes to
 implement as many as is feasible.

=== debian/rules ===
#!/usr/bin/make -f

SOURCE_NAME := jruby
JRUBY_VERSION := $(shell pwd | perl -pe 's/.+-//')

DEST_DIR := $(CURDIR)/debian/$(SOURCE_NAME)

JRUBY_LIB_DIR := $(DEST_DIR)/usr/lib/$(SOURCE_NAME)
JRUBY_DOC_DIR := $(DEST_DIR)/usr/share/doc/$(SOURCE_NAME)

BUILD_TAR := $(shell echo dist/jruby-bin-*.tar.gz)
BUILD_CHEKSUM_MD5 := $(BUILD_TAR).md5
BUILD_CHEKSUM_SHA1 := $(BUILD_TAR).sha1

ANT := /usr/bin/ant

JRUBY_MANPAGE := debian/jruby.1
JIRB_MANPAGE := debian/jirb.1

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	$(ANT) clean-all
	if [ -d dist ] ; then $(ANT) dist-clean ; fi
	rm -f $(BUILD_TAR) $(BUILD_CHEKSUM_SHA1) $(BUILD_CHEKSUM_MD5)
	rm -fr share

	rm -f build-stamp
	dh_clean 

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(ANT) -Ddev.gems=false compile
#	docbook-to-man $(JRUBY_DOCBOOK_MANPAGE) > $(JRUBY_MANPAGE)
#	docbook-to-man $(JIRB_DOCBOOK_MANPAGE) > $(JIRB_MANPAGE)

	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	# Add here commands to install the package into debian/jruby
	$(ANT) dist-bin

	tar -zxf $(BUILD_TAR) --strip 1 -C $(JRUBY_LIB_DIR)
	# Remove all the bat/dll/exe files
	find $(JRUBY_LIB_DIR) -iregex '.*\.\(bat\|\|dll\|exe\)$$' | xargs rm -f
	# Remove all of the VCS directories
	find $(JRUBY_LIB_DIR) -name '.svn' | xargs rm -rf
	find $(JRUBY_LIB_DIR) -name '.git*' | xargs rm -rf
	# remove extra docs
	rm -fr $(JRUBY_LIB_DIR)/docs $(JRUBY_LIB_DIR)/COPYING* $(JRUBY_LIB_DIR)/LICENSE.RUBY
	# remove libjnidispatch.so, to keep the package 
	# architecture-independent; will put it in itw own
	# separate package later on, if need be.
	rm -fr $(JRUBY_LIB_DIR)/lib/native

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs docs/ COPYING* README
	rm -fr $(JRUBY_LIB_DIR)/docs $(JRUBY_LIB_DIR)/COPYING*
	find $(JRUBY_DOC_DIR) -regex '.*/\(COPYING\|LICEN[CS]E\).*' | xargs rm -fr
	dh_installexamples
	# Remove all empty directories
	find $(DEST_DIR) -depth -follow -type d -empty -delete
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_lintian
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch:
	# We have nothing to do by default.

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 2 file
version=3

opts="uversionmangle=s/RC/~rc/"\
  http://jruby.org/download \
  .+/jruby-src-(1\..*)\.tar\.gz

## jruby 1.5.1

=== debian/changelog ===
jruby (1.5.1-1) unstable; urgency=low

  [ Hideki Yamane ]
  * use already packaged jar files to build jruby.
    add "Build-Depends: libasm3-java, libcommons-logging-java, libjarjar-java,
    libjoda-time-java, junit4, libemma-java, libbsf-java, libjline-java, bnd,
    libconstantine-java" (Closes: #581390)

  [ Torsten Werner ]
  * New upstream release
  * Changed Maintainer to pkg-java-maintainers with the agreement of Sebastien.
  * Add Sebastien and myself to the Uploaders list.
  * Add Vcs headers to debian/control.
  * Remove bin/jruby in clean target.
  * Convert patches to dep3 format.
  * Remove unneeded jar files from orig tarball.
  * Define JAVA_HOME and set it to default-java.
  * Run tests during build.
    - Upgrade Build-Depends: ant to ant-optional.
    - Add Build-Depends: netbase. 
    - Add a patch to ignore test failures.
    - Set CLASSPATH=/usr/share/java/junit4.jar in debian/rules.

 -- Torsten Werner <twerner@debian.org>  Fri, 30 Jul 2010 03:07:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,17 @@
 Source: jruby
 Section: non-free/ruby
 Priority: optional
-Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper (>= 6.0.7~), openjdk-6-jdk | java6-sdk, ant
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Sebastien Delafond <seb@debian.org>,
+ Torsten Werner <twerner@debian.org>
+Build-Depends: debhelper (>= 6.0.7~), openjdk-6-jdk | java6-sdk, ant-optional,
+ libasm3-java, libcommons-logging-java, libjarjar-java, libjoda-time-java,
+ junit4, libemma-java, libbsf-java, libjline-java, bnd, libconstantine-java,
+ netbase, libjgrapht0.8-java
 Standards-Version: 3.8.4
 Homepage: http://jruby.org
+Vcs-Git: git://git.debian.org/git/pkg-java/jruby.git
+Vcs-Browser: http://git.debian.org/?p=pkg-java/jruby.git
 
 Package: jruby
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 BUILD_CHEKSUM_SHA1 := $(BUILD_TAR).sha1
 
 ANT := /usr/bin/ant
+export JAVA_HOME := /usr/lib/jvm/default-java
+export CLASSPATH := /usr/share/java/junit4.jar
 
 JRUBY_MANPAGE := debian/jruby.1
 JIRB_MANPAGE := debian/jirb.1
@@ -25,7 +27,7 @@
 	$(ANT) clean-all
 	if [ -d dist ] ; then $(ANT) dist-clean ; fi
 	rm -f $(BUILD_TAR) $(BUILD_CHEKSUM_SHA1) $(BUILD_CHEKSUM_MD5)
-	rm -fr share
+	rm -fr share bin/jruby
 
 	rm -f build-stamp
 	dh_clean 
@@ -36,7 +38,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(ANT) -Ddev.gems=false compile
+	$(ANT) -Ddev.gems=false test
 #	docbook-to-man $(JRUBY_DOCBOOK_MANPAGE) > $(JRUBY_MANPAGE)
 #	docbook-to-man $(JIRB_DOCBOOK_MANPAGE) > $(JIRB_MANPAGE)

## jruby 1.5.6

=== debian/changelog ===
jruby (1.5.6-5+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2018-1000074: possible Unsafe Object Deserialization Vulnerability
    in gem owner.
  * Build with OpenJDK 6 to avoid a FTBFS with Java 7.

 -- Markus Koschany <apo@debian.org>  Tue, 17 Apr 2018 22:32:31 +0200

jruby (1.5.6-5+deb7u1) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2018-1000075: Strictly interpret octal fields in tar headers to
    avoid infinite loop
  * Fix CVE-2018-1000076: Raise a security error when there are duplicate
    files in a package
  * Fix CVE-2018-1000077: Enforce URL validation on spec homepage attribute.
  * Fix CVE-2018-1000078: Mitigate XSS vulnerability in homepage attribute
    when displayed via gem server.

 -- Santiago R.R. <santiago@riseup.net>  Sat, 31 Mar 2018 13:38:03 +0200

jruby (1.5.6-5) unstable; urgency=medium

  * Team upload.
  * Add patch for CVE-2012-5370: Use PerlHash instead of MurmurHash
    (that is vulnerable to DoS attacks). (Closes: #694694)
    [Patch adapted from 5e4aab28 upstream]

 -- Martin Quinson <mquinson@debian.org>  Tue, 11 Dec 2012 21:22:36 +0100

jruby (1.5.6-4) unstable; urgency=medium

  * Team upload.
  * Add patch for CVE-2011-4838 (Closes: #686867)
    - Thanks to Moritz Muehlenhoff

 -- tony mancill <tmancill@debian.org>  Thu, 20 Sep 2012 13:36:31 -0700

jruby (1.5.6-3) unstable; urgency=low

  [Miguel Landaeta]
  * Team upload.
  * Switch to default-jdk. (Closes: #655823).

  [tony mancill]
  * Bump Standards-Version to 3.9.2 (no changes).
  * Address lintian warning in d/copyright (update path to GPL-2).

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 14 Jan 2012 14:13:54 -0430

jruby (1.5.6-2) unstable; urgency=high

  * Add workaround for strange dpkg-source error. (Closes: #643516)

 -- Torsten Werner <twerner@debian.org>  Tue, 04 Oct 2011 22:24:31 +0200

jruby (1.5.6-1) unstable; urgency=low

  * New upstream version (Closes: #636554)
  * Document licenses and copyright holders of code in
    jruby-launcher-1.0.3-java.gem.
  * Change debian/watch to read tags from github. Remove get-orig-source
    target from debian/rules because we mirror the github repo in our repo.
  * Use cdbs to build the package.

 -- Torsten Werner <twerner@debian.org>  Tue, 20 Sep 2011 21:17:04 +0200

jruby (1.5.1+dfsg4-2) unstable; urgency=low

  * Use yecht-ruby.jar for building.

 -- Torsten Werner <twerner@debian.org>  Sun, 18 Sep 2011 19:24:44 +0200

jruby (1.5.1+dfsg4-1) unstable; urgency=low

  * Remove bundled yecht.jar from orig tarball.
  * Move package to main.

 -- Torsten Werner <twerner@debian.org>  Sun, 18 Sep 2011 00:01:11 +0200

jruby (1.5.1+dfsg3-1) unstable; urgency=low

  * Remove bundled jnr-netdb.jar from orig tarball.
  * Add Depends: libjffi-jni.

 -- Torsten Werner <twerner@debian.org>  Sat, 17 Sep 2011 17:34:12 +0200

jruby (1.5.1+dfsg2-1) experimental; urgency=low

  * Remove bundled jnr-posix.jar from orig tarball.

 -- Torsten Werner <twerner@debian.org>  Wed, 14 Sep 2011 20:32:31 +0200

jruby (1.5.1+dfsg1-1) experimental; urgency=low

  * Replace more prebuilt jars by Build-Depends.
  * Modify 0002-jruby_home-is-at-a-specific-location-on-Debian.patch to avoid
    test failures.
  * Add get-orig-source target.
  * Clean more files in clean target.
  * Clean up debian/copyright.
  * Do not build InvokeDynamicSupport.java because it requires some backport
    (jsr292-mock.jar) from Java7.
  * Replace rdocs by a symlink and add Recommends: ri1.8.
  * Add a patch for the unversioned jarjar.jar.

 -- Torsten Werner <twerner@debian.org>  Tue, 13 Sep 2011 22:43:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: jruby
-Section: non-free/ruby
+Section: ruby
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastien Delafond <seb@debian.org>,
  Torsten Werner <twerner@debian.org>
-Build-Depends: debhelper (>= 6.0.7~), openjdk-6-jdk | java6-sdk, ant-optional,
+Build-Depends: debhelper (>= 6.0.7~), openjdk-6-jdk, ant-optional,
  libasm3-java, libcommons-logging-java, libjarjar-java, libjoda-time-java,
  junit4, libemma-java, libbsf-java, libjline-java, bnd, libconstantine-java,
- netbase, libjgrapht0.8-java
-Standards-Version: 3.8.4
+ netbase, libjgrapht0.8-java, libjcodings-java, libbytelist-java, libjffi-java,
+ libjaffl-java, libjruby-joni-java, yydebug, nailgun, libjnr-posix-java,
+ libjnr-netdb-java, libyecht-java (>= 0.0.2-2~), cdbs
+Standards-Version: 3.9.2
 Homepage: http://jruby.org
 Vcs-Git: git://git.debian.org/git/pkg-java/jruby.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/jruby.git
@@ -16,7 +18,8 @@
 Package: jruby
 Architecture: all
 Replaces: jruby1.0, jruby1.1, jruby1.2
-Depends: openjdk-6-jre | java6-runtime, ${misc:Depends}
+Depends: openjdk-6-jre | java6-runtime, ${misc:Depends}, libjffi-jni
+Recommends: ri1.8
 Description: 100% pure-Java implementation of Ruby
  JRuby is a 100% pure-Java implementation of the Ruby programming language.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME            := /usr/lib/jvm/java-1.6.0-openjdk-amd64
DEB_ANT_CLEAN_TARGET := clean-all
DEB_ANT_BUILD_TARGET := -Ddev.gems=false -DdocsNotNeeded=true \
    -Dshared.lib.dir=/usr/share/java test dist-bin
DEB_JARS             := ant-junit junit4

# must be set to avoid test failures
export BUILDING_JRUBY := true

clean::
	$(RM) lib/ruby/site_ruby/shared/yecht.jar debian/stamp-yecht
	# strange workaround for dpkg-source
	$(RM) bin/jruby

pre-build:: debian/stamp-yecht
debian/stamp-yecht:
	# symlink system yecht-ruby jar into shared directory
	ln -s /usr/share/java/yecht-ruby.jar lib/ruby/site_ruby/shared/yecht.jar
	touch $@

JRUBY_LIB_DIR := $(DEB_DESTDIR)/usr/lib/jruby

install/jruby::
	tar -z -x -f dist/jruby-bin-*.tar.gz --strip 1 -C $(JRUBY_LIB_DIR)
	# Remove all of the VCS directories
	find $(JRUBY_LIB_DIR) -name '.svn'  -delete
	find $(JRUBY_LIB_DIR) -name '.git*' -delete
	find $(JRUBY_LIB_DIR) -name '*.bat' -delete
	# remove extra docs
	$(RM) -r $(JRUBY_LIB_DIR)/docs $(JRUBY_LIB_DIR)/COPYING* $(JRUBY_LIB_DIR)/LICENSE.RUBY
	# remove libjnidispatch.so, to keep the package 
	# architecture-independent; will put it in itw own
	# separate package later on, if need be.
	$(RM) -r $(JRUBY_LIB_DIR)/lib/native
	# Remove all empty directories
	find $(DEB_DESTDIR) -depth -follow -type d -empty -delete

=== debian/watch ===
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

version=3

http://githubredir.debian.net/github/jruby/jruby .*/(\d.+).tar.gz

## jruby 1.7.21

=== debian/changelog ===
jruby (1.7.21-2ubuntu4) wily; urgency=medium

  * Build-depend again on jruby-openssl, re-enable the tests.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2015 13:07:47 +0200

jruby (1.7.21-2ubuntu3) wily; urgency=medium

  * Add libjzlib-java dependency. (LP: #1490323)

 -- Tiago Stürmer Daitx <tiago.daitx@canonical.com>  Sun, 30 Aug 2015 18:05:40 +0000

jruby (1.7.21-2ubuntu2) wily; urgency=medium

  * Drop build dependeny on jruby-openssl and disable the tests
    for a first build.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Aug 2015 17:10:30 +0200

jruby (1.7.21-2ubuntu1) wily; urgency=medium

  * Build-depend on locales-all | language-pack-en.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Aug 2015 16:45:28 +0200

jruby (1.7.21-2) unstable; urgency=high

  * Fix FTBFS due to Maven 3.3.x changes. (Closes: #792788).
  * Provide full cryptographic support:
    - Add Recommends on jruby-openssl. (Closes: #743746).
    - Add Build-Depends on jruby-openssl for unit tests during build-time.

 -- Miguel Landaeta <nomadium@debian.org>  Tue, 14 Jul 2015 20:20:23 -0300

jruby (1.7.21-1) unstable; urgency=medium

  * New upstream release.
  * Add missing dependencies for jruby binary package. (Closes: #771694).
  * Add Provides: ruby-interpreter for jruby binary package.

 -- Miguel Landaeta <nomadium@debian.org>  Wed, 08 Jul 2015 20:59:46 -0300

jruby (1.7.20.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Add missing dependencies for jruby binary package.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 20 Jun 2015 19:42:50 -0300

jruby (1.7.20.1-1) experimental; urgency=medium

  * New upstream release.
    This release updates Rubygems included copy to 2.4.8 in order to address
    CVE-2015-1855, to resolve some problems with wildcard matching of
    hostnames.
  * Add new patch:
    - 0009-Disable-bigdecimal-divmod-spec-failing-test.patch.

 -- Miguel Landaeta <nomadium@debian.org>  Thu, 18 Jun 2015 21:34:53 -0300

jruby (1.7.19-1) experimental; urgency=medium

  * New upstream release. (Closes: #636554, #773131, #750749).
  * Add /usr/lib/ruby/vendor_ruby to the default $LOAD_PATH. (Closes: #663342).
  * Switch build system to Maven, upstream doesn't maintain Ant one anymore:
    - Add B-D on: maven, maven-{debian,repo}-helper and several maven plugins.
    - Replace cdbs with debhelper.
  * Enable full testing during build time.
  * Remove outdated packaging files:
    - d/dirs, d/links, d/NEWS.Debian and a couple of lintian overrides.
  * Refresh patches:
    - Update d/patches/0001-Fix-shebang-lines.patch.
    - Drop unnecessary patches, some of them were merged at upstream:
      + d/patches/0004-replace-bundled-libraries.patch
      + d/patches/0005-ignore-test-failures.patch
      + d/patches/0006-do-not-build-InvokeDynamicSupport.java.patch
      + d/patches/0007-use-unversioned-jarjar.jar.patch
      + d/patches/0008-CVE-2011-4838.patch
      + d/patches/0009-CVE-2012-5370.patch
      + d/patches/0010-jruby-Set-FD_CLOEXEC-correctly-using-F_SETFD-not-F_S.patch
      + d/patches/0011-java7-compat.patch
      + d/patches/0012-nailgun.patch
  * Update Uploaders list:
    - Remove Sebastien Delafond. Thanks for your work on this package!
    - Remove Torsten Werner. Thanks for your work on this package!
    - Add Tim Potter. Welcome aboard!
  * Update d/watch file.
  * Update d/README.Debian file.
  * Add get-orig-source target to d/rules.
  * Update Build-Depends:
    - Replace dependency on openjdk-7-jdk with openjdk-8-jdk.
      Otherwise jruby will not even compile.
    - Replace libjaffl-java with libjnr-ffi-java.
    - Replace libjline-java with libjline2-java.
    - Update to libyecht-java to (>= 1.0~).
    - Update to nailgun (>= 0.9.1~).
    - Update to bytelist (>= 1.0.12~).
    - Update to jffi (>= 1.2.7~).
    - Update to jnr-posix (>= 3.0.9~).
    - Add libyaml-snake-java.
    - Add libinvokebinder-java.
    - Replace libasm3-java with libasm4-java.
    - Add libjnr-x86asm-java.
    - Update libjnr-netdb-java to (>= 1.1.4~).
    - Add liblivetribe-jsr223-java.
    - Add ruby-rspec and ruby-minitest.
    - Add locales-all.
  * Update copyright file.
  * Remove unnecessary preinst and postinst scripts.
  * Update package description.
  * Ship a copy of jquery library since the source package contains a
    minified copy. This is to avoid lintian warnings, during build time
    a link symbolic to libjs-jquery is deployed.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 31 May 2015 19:37:41 -0300

jruby (1.5.6-10) unstable; urgency=medium

  * Add myself to Uploaders list.
  * Replace dependency on libconstantine-java with libjnr-constants-java.
  * Refresh patches:
    - d/p/0003-do-not-install-gems.patch.
    - d/p/0004-replace-bundled-libraries.patch.
    - d/p/0012-nailgun.patch.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 02 May 2015 17:37:51 -0300

jruby (1.5.6-9) unstable; urgency=medium

  * Team upload.
  * Build-depend on openjdk-7-jdk >= 7u71-2.5.3 (closes: #759947).
    This version restores the "apt" tool.
    - Thank you to Michael Gilbert for the patch.

 -- tony mancill <tmancill@debian.org>  Sat, 01 Nov 2014 19:55:32 -0700

jruby (1.5.6-8) unstable; urgency=medium

  [ tony mancill ]
  * Team upload.
  * Recommend "ri" instead of "ri1.8" (ruby interpreter)
  * Use DH9 instead of version 6.
  * Rebuild against a non-broken joda-time. (Closes: #729171)
  * Bump Standards-Version to 3.9.6 (no changes).

  [ Emmanuel Bourg ]
  * Removed the build dependency on libemma-java

 -- tony mancill <tmancill@debian.org>  Mon, 27 Oct 2014 23:27:54 -0700

jruby (1.5.6-7) unstable; urgency=low

  * Team upload.
  * Provide maven artifacts. (Closes: #737424).

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 02 Feb 2014 21:37:46 -0300

jruby (1.5.6-6) unstable; urgency=low

  * Team upload.

  [ tony mancill ]
  * Apply patch to set FD_CLOEXEC correctly using F_SETFD not F_SETFL.
    - Thank you to Guillem Jover. (Closes: #696283)



=== debian/control ===
Source: jruby
Section: ruby
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <nomadium@debian.org>,
           Tim Potter <tpot@hp.com>
Build-Depends: ant-optional,
               bnd,
               debhelper (>= 9~),
               jruby-openssl,
               junit4,
               libasm4-java,
               libbsf-java,
               libbuild-helper-maven-plugin-java,
               libbytelist-java (>= 1.0.12~),
               libcommons-logging-java,
               libheadius-options-java,
               libinvokebinder-java,
               libjarjar-java,
               libjcodings-java,
               libjffi-java (>= 1.2.7~),
               libjgrapht0.8-java,
               libjline2-java,
               libjnr-constants-java,
               libjnr-enxio-java,
               libjnr-ffi-java,
               libjnr-netdb-java (>= 1.1.4~),
               libjnr-posix-java (>= 3.0.9~),
               libjnr-unixsocket-java,
               libjnr-x86asm-java (>= 1.0.2~),
               libjoda-time-java,
               libjruby-joni-java,
               libjzlib-java,
               liblivetribe-jsr223-java,
               libmaven-antrun-plugin-java,
               libmaven-assembly-plugin-java,
               libmaven-bundle-plugin-java,
               libmaven-compiler-plugin-java (>= 3.2~),
               libmaven-dependency-plugin-java,
               libmaven-exec-plugin-java,
               libmaven-invoker-plugin-java,
               libmaven-shade-plugin-java,
               libproperties-maven-plugin-java,
               libunsafe-mock-java,
               libyaml-snake-java,
               libyecht-java (>= 1.0~),
               locales-all | language-pack-en,
               maven,
               maven-debian-helper,
               maven-repo-helper,
               nailgun (>= 0.9.1~),
               netbase,
               openjdk-8-jdk,
               ruby-minitest,
               ruby-rspec,
               yydebug
Standards-Version: 3.9.6
Homepage: http://jruby.org/
Vcs-Git: git://anonscm.debian.org/pkg-java/jruby.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jruby.git

Package: jruby
Architecture: all
Depends: default-jre | java6-runtime,
         ant,
         junit4,
         libasm4-java,
         libbsf-java,
         libbytelist-java (>= 1.0.12~),
         libheadius-options-java,
         libinvokebinder-java,
         libjansi-java,
         libjcodings-java,
         libjffi-jni,
         libjoda-time-java,
         libjnr-constants-java,
         libjnr-enxio-java,
         libjnr-ffi-java,
         libjnr-netdb-java (>= 1.1.4~),
         libjnr-posix-java (>= 3.0.9~),
         libjnr-unixsocket-java,
         libjnr-x86asm-java (>= 1.0.2~),
         libjruby-joni-java,
         libjzlib-java,
         libosgi-core-java,
         libunsafe-mock-java,
         libyaml-snake-java,
         nailgun (>= 0.9.1~),
         libyecht-java (>= 1.0~),
         ${misc:Depends}
Recommends: ri, jruby-openssl
Provides: ruby-interpreter
Description: 100% pure-Java implementation of Ruby
 JRuby is a high performance, stable, fully threaded Java implementation
 of the Ruby programming language.
 .
 JRuby is tightly integrated with Java to allow the embedding of the
 interpreter into any Java application with full two-way access
 between the Java and the Ruby code (similar to Jython for the Python
 language).
 .
 JRuby provides a complete set of core "builtin" classes and syntax
 for the Ruby language, as well as most of the Ruby Standard
 Libraries. The standard libraries are mostly Ruby's own complement of
 ".rb" files, but a few that depend on C language-based extensions have
 been reimplemented. Some are still missing, but JRuby hopes to
 implement as many as is feasible.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

#JAVA_HOME := /usr/lib/jvm/default-java
# upstream code directly from git repo builds with openjdk-7-jdk
# I have to find out how/why
JAVA_HOME := /usr/lib/jvm/java-8-openjdk-$(DEB_BUILD_ARCH)
export LC_ALL=en_US.UTF-8

include $(CURDIR)/debian/maven3.mk

%:
	dh $@

override_dh_auto_clean:
	-$(DEB_MAVEN_INVOKE) -Pdist clean
	dh_clean
	mh_unpatchpoms -pjruby
	mh_clean
	rm -f lib/jruby.jar bin/jruby
	for subp in stdlib dist; do \
		rm -rf ./maven/jruby-$$subp/target ; \
	done
	rm -rf ./test/target/
	rm -rf -- ./rubyspec_temp/
	rm -rf -- "$(DEB_MAVEN_REPO)"

override_dh_auto_configure:
	/usr/share/maven-debian-helper/copy-repo.sh "$(CURDIR)/debian"
	mh_patchpoms -pjruby --debian-build --keep-pom-version \
	  --maven-repo="$(DEB_MAVEN_REPO)" --build-no-docs

override_dh_auto_build:
	mkdir -p lib/jni
	$(DEB_MAVEN_INVOKE) -Pdist package

override_dh_auto_install:
	mkdir -p target/package
	tar zxf ./maven/jruby-dist/target/jruby-dist-$(DEB_VERSION_UPSTREAM)-bin.tar.gz \
	  -C target/package --strip-components=1
	cd target/package/bin && mv jruby.bash jruby
	cd target/package/bin && chmod 0755 *
	rm target/package/lib/ruby/2.0/rdoc/generator/template/darkfish/js/jquery.js
	mkdir -p target/package/lib/ruby/gems/shared/
	cd target/package/lib/ruby/gems/shared/ && mkdir -p cache gems specifications
	mh_installpom -pjruby --no-parent core/pom.xml
	mh_installjar -pjruby --java-lib  core/pom.xml target/package/lib/jruby.jar
	rm -rf target/package/tool/nailgun/*
	for platform in i386-Linux x86_64-Linux arm-Linux; do \
		mkdir -p target/package/lib/jni/$$platform ; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# setup links to jruby-openssl library, so tests relying on that can work
	for file in /usr/share/jruby/lib/ruby/shared/*ssl* \
	/usr/share/jruby/lib/ruby/shared/*org*; do \
		ln -s $$file ./lib/ruby/shared ; \
	done

	$(DEB_MAVEN_INVOKE) -Ptest test
	./bin/jruby spec/mspec/bin/mspec ci
	# enable it when minitest-excludes is available in the archive
	#./bin/jruby -S ./bin/rake test:mri19
	#./bin/jruby -S ./bin/rake test:extended

	# remove links to jruby-openssl library
	for file in ./lib/ruby/shared/*ssl* ./lib/ruby/shared/*org*; do \
		unlink $$file ; \
	done
endif

get-orig-source:
	uscan --verbose --download-current-version

## jruby 1.7.22

=== debian/changelog ===
jruby (1.7.22-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Add libjzlib-java dependency.
    - Build-depend on locales-all | language-pack-en.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Oct 2015 18:50:41 +0200

jruby (1.7.22-1) unstable; urgency=medium

  * New upstream release.
  * Install jruby-stdlib Maven artifact. (Closes: #792906).
    - Added a lintian override for codeless-jar warning.
  * Install jruby-noasm Maven artifact.
  * Install correct jruby-core Maven artifact.
  * Install jruby-core-noasm Maven artifact.
  * Install jruby-complete Maven artifact.
  * Add B-D on libmaven-install-plugin-java.
  * Add versioned B-D on maven (>= 3.3~).

 -- Miguel Landaeta <nomadium@debian.org>  Wed, 16 Sep 2015 21:19:33 -0300

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,6 @@
                libjnr-x86asm-java (>= 1.0.2~),
                libjoda-time-java,
                libjruby-joni-java,
-               libjzlib-java,
                liblivetribe-jsr223-java,
                libmaven-antrun-plugin-java,
                libmaven-assembly-plugin-java,
@@ -39,14 +38,16 @@
                libmaven-compiler-plugin-java (>= 3.2~),
                libmaven-dependency-plugin-java,
                libmaven-exec-plugin-java,
+               libmaven-install-plugin-java,
                libmaven-invoker-plugin-java,
                libmaven-shade-plugin-java,
                libproperties-maven-plugin-java,
                libunsafe-mock-java,
                libyaml-snake-java,
                libyecht-java (>= 1.0~),
+               libjzlib-java,
                locales-all | language-pack-en,
-               maven,
+               maven (>= 3.3~),
                maven-debian-helper,
                maven-repo-helper,
                nailgun (>= 0.9.1~),

=== debian/rules ===
--- 
+++ 
@@ -19,23 +19,46 @@
 	mh_unpatchpoms -pjruby
 	mh_clean
 	rm -f lib/jruby.jar bin/jruby
-	for subp in stdlib dist; do \
+	for subp in stdlib dist complete; do \
 		rm -rf ./maven/jruby-$$subp/target ; \
 	done
 	rm -rf ./test/target/
 	rm -rf -- ./rubyspec_temp/
 	rm -rf -- "$(DEB_MAVEN_REPO)"
 
+	# this ugly hack is due to mh_unpatchpoms not restoring some POMs
+	# if you want to build jruby twice in a row, you need to restore
+	# everything correctly
+	-cd maven.bak && for pom in `find ./jruby-* -type f`; do \
+	  cp $$pom $(CURDIR)/maven/$$pom ; \
+	done
+	-cd maven.bak && cp ./test/pom.xml $(CURDIR)/test/pom.xml
+	rm -rf maven.bak
+
 override_dh_auto_configure:
+	# this ugly hack is due to mh_unpatchpoms not restoring some POMs
+	# if you want to build jruby twice in a row, you need to restore
+	# everything correctly
+	mkdir -p maven.bak
+	cd maven.bak && mkdir -p jruby-complete jruby-stdlib test
+	cp maven/jruby-complete/pom.xml maven.bak/jruby-complete
+	cp maven/jruby-stdlib/pom.xml maven.bak/jruby-stdlib
+	cp test/pom.xml maven.bak/test
+
 	/usr/share/maven-debian-helper/copy-repo.sh "$(CURDIR)/debian"
 	mh_patchpoms -pjruby --debian-build --keep-pom-version \
 	  --maven-repo="$(DEB_MAVEN_REPO)" --build-no-docs
 
 override_dh_auto_build:
 	mkdir -p lib/jni
+	mkdir -p $(CURDIR)/maven/jruby-complete/target/classes
+	$(DEB_MAVEN_INVOKE) -Pcomplete
 	$(DEB_MAVEN_INVOKE) -Pdist package
 
-override_dh_auto_install:
+# this got ugly fast
+# there must be a better way to do this
+override_dh_prep:
+	dh_prep
 	mkdir -p target/package
 	tar zxf ./maven/jruby-dist/target/jruby-dist-$(DEB_VERSION_UPSTREAM)-bin.tar.gz \
 	  -C target/package --strip-components=1
@@ -44,12 +67,29 @@
 	rm target/package/lib/ruby/2.0/rdoc/generator/template/darkfish/js/jquery.js
 	mkdir -p target/package/lib/ruby/gems/shared/
 	cd target/package/lib/ruby/gems/shared/ && mkdir -p cache gems specifications
-	mh_installpom -pjruby --no-parent core/pom.xml
-	mh_installjar -pjruby --java-lib  core/pom.xml target/package/lib/jruby.jar
 	rm -rf target/package/tool/nailgun/*
 	for platform in i386-Linux x86_64-Linux arm-Linux; do \
 		mkdir -p target/package/lib/jni/$$platform ; \
 	done
+
+override_dh_auto_install:
+	mh_installpom -pjruby --no-parent core/pom.xml
+	mh_installjar -pjruby --java-lib  core/pom.xml core/target/jruby-core-$(DEB_VERSION_UPSTREAM).jar
+	for subp in noasm stdlib complete; do \
+		mh_installpom -pjruby --no-parent maven/jruby-$$subp/pom.xml ; \
+	done
+	mh_installjar -pjruby maven/jruby-stdlib/pom.xml maven/jruby-stdlib/target/jruby-stdlib-$(DEB_VERSION_UPSTREAM).jar
+	mh_installjar -pjruby maven/jruby-complete/pom.xml maven/jruby-complete/target/jruby-complete-$(DEB_VERSION_UPSTREAM).jar
+
+override_dh_install:
+	dh_install
+	dh_install core/target/jruby-core-$(DEB_VERSION_UPSTREAM)-noasm.jar \
+		usr/share/maven-repo/org/jruby/jruby-core/$(DEB_VERSION_UPSTREAM)
+
+override_dh_link:
+	dh_link
+	dh_link usr/share/maven-repo/org/jruby/jruby-core/$(DEB_VERSION_UPSTREAM)/jruby-core-$(DEB_VERSION_UPSTREAM)-noasm.jar \
+		usr/share/maven-repo/org/jruby/jruby-core/debian/jruby-core-debian-noasm.jar
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
https://github.com/jruby/jruby/releases \
 /jruby/jruby/archive/([0-9].+)\.tar\.gz

## jruby 1.7.26

=== debian/changelog ===
jruby (1.7.26-1+deb9u1) stretch-security; urgency=high

  * Team upload.
  * Fix CVE-2018-1000073: Directory Traversal vulnerability in install_location
    function of package.rb that can result in path traversal when writing to a
    symlinked basedir outside of the root.
  * Fix CVE-2018-1000074: possible Unsafe Object Deserialization Vulnerability
    in gem owner.
  * Fix CVE-2018-1000075: Strictly interpret octal fields in tar headers to
    avoid infinite loop
  * Fix CVE-2018-1000076: Raise a security error when there are duplicate
    files in a package
  * Fix CVE-2018-1000077: Enforce URL validation on spec homepage attribute.
  * Fix CVE-2018-1000078: Mitigate XSS vulnerability in homepage attribute
    when displayed via gem server.
  * Fix CVE-2018-1000079: Directory Traversal vulnerability in gem installation
    that can result in writing to arbitrary filesystem locations during
    installation of malicious gems.
    (Closes: #895778)

 -- Markus Koschany <apo@debian.org>  Sun, 29 Apr 2018 22:24:33 +0200

jruby (1.7.26-1) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * New upstream release.
  * Fix FTBFS due to changes introduced in yecht 1.1 and snakeyaml 1.7.
    (Closes: #821181).
  * Drop Provides: ruby-interpreter in jruby binary package.
    (Closes: #839567).
  * Build with default-jdk now it has finally switched to Java 8.
  * Bump Standards-Version to 3.9.8. No changes were required.
  * Use https URLs with Vcs-* fields.
  * Refresh patches:
    - Add new patch:
      + d/patches/0007-Enable-test-suites.patch.
      + d/patches/0012-Disable-outdated-specs.patch.
  * Run more unit tests during build time.
    The suit test spec:ruby:fast is ran from now on.

  [ Emmanuel Bourg ]
  * Depend on libasm-java (>= 5.0) instead of libasm4-java.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 12 Nov 2016 20:33:13 +0000

jruby (1.7.22-2) unstable; urgency=medium

  * Build with maven-debian-helper 2.
    - Simplify packaging.
    - Avoid occasional FTBFS errors caused by changes in Maven.
  * Fix an FTBFS caused by some unit tests not working correctly in pbuilder.

 -- Miguel Landaeta <nomadium@debian.org>  Mon, 28 Dec 2015 17:20:15 -0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: jruby
 Section: ruby
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Miguel Landaeta <nomadium@debian.org>,
            Tim Potter <tpot@hp.com>
 Build-Depends: ant-optional,
                bnd,
                debhelper (>= 9~),
+               default-jdk (>= 2:1.8~),
                jruby-openssl,
                junit4,
-               libasm4-java,
+               libasm-java (>= 5.0),
                libbsf-java,
                libbuild-helper-maven-plugin-java,
                libbytelist-java (>= 1.0.12~),
@@ -45,28 +45,27 @@
                libunsafe-mock-java,
                libyaml-snake-java,
                libyecht-java (>= 1.0~),
-               libjzlib-java,
-               locales-all | language-pack-en,
-               maven (>= 3.3~),
-               maven-debian-helper,
+               locales-all,
+               maven-debian-helper (>= 2.0~),
                maven-repo-helper,
                nailgun (>= 0.9.1~),
                netbase,
-               openjdk-8-jdk,
+               ruby-json,
                ruby-minitest,
+               ruby-minitest-excludes,
                ruby-rspec,
                yydebug
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://jruby.org/
-Vcs-Git: git://anonscm.debian.org/pkg-java/jruby.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jruby.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/jruby.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jruby.git
 
 Package: jruby
 Architecture: all
 Depends: default-jre | java6-runtime,
          ant,
          junit4,
-         libasm4-java,
+         libasm-java (>= 5.0),
          libbsf-java,
          libbytelist-java (>= 1.0.12~),
          libheadius-options-java,
@@ -90,8 +89,9 @@
          nailgun (>= 0.9.1~),
          libyecht-java (>= 1.0~),
          ${misc:Depends}
-Recommends: ri, jruby-openssl
-Provides: ruby-interpreter
+Recommends: jruby-openssl,
+            ri,
+            ruby-json
 Description: 100% pure-Java implementation of Ruby
  JRuby is a high performance, stable, fully threaded Java implementation
  of the Ruby programming language.

=== debian/rules ===
--- 
+++ 
@@ -2,58 +2,22 @@
 
 include /usr/share/dpkg/default.mk
 
-#JAVA_HOME := /usr/lib/jvm/default-java
-# upstream code directly from git repo builds with openjdk-7-jdk
-# I have to find out how/why
-JAVA_HOME := /usr/lib/jvm/java-8-openjdk-$(DEB_BUILD_ARCH)
+export JAVA_HOME=/usr/lib/jvm/default-java
 export LC_ALL=en_US.UTF-8
 
-include $(CURDIR)/debian/maven3.mk
-
 %:
-	dh $@
+	dh $@ --buildsystem=maven
 
 override_dh_auto_clean:
-	-$(DEB_MAVEN_INVOKE) -Pdist clean
-	dh_clean
-	mh_unpatchpoms -pjruby
-	mh_clean
+	dh_auto_clean
 	rm -f lib/jruby.jar bin/jruby
-	for subp in stdlib dist complete; do \
-		rm -rf ./maven/jruby-$$subp/target ; \
-	done
-	rm -rf ./test/target/
 	rm -rf -- ./rubyspec_temp/
-	rm -rf -- "$(DEB_MAVEN_REPO)"
-
-	# this ugly hack is due to mh_unpatchpoms not restoring some POMs
-	# if you want to build jruby twice in a row, you need to restore
-	# everything correctly
-	-cd maven.bak && for pom in `find ./jruby-* -type f`; do \
-	  cp $$pom $(CURDIR)/maven/$$pom ; \
-	done
-	-cd maven.bak && cp ./test/pom.xml $(CURDIR)/test/pom.xml
-	rm -rf maven.bak
-
-override_dh_auto_configure:
-	# this ugly hack is due to mh_unpatchpoms not restoring some POMs
-	# if you want to build jruby twice in a row, you need to restore
-	# everything correctly
-	mkdir -p maven.bak
-	cd maven.bak && mkdir -p jruby-complete jruby-stdlib test
-	cp maven/jruby-complete/pom.xml maven.bak/jruby-complete
-	cp maven/jruby-stdlib/pom.xml maven.bak/jruby-stdlib
-	cp test/pom.xml maven.bak/test
-
-	/usr/share/maven-debian-helper/copy-repo.sh "$(CURDIR)/debian"
-	mh_patchpoms -pjruby --debian-build --keep-pom-version \
-	  --maven-repo="$(DEB_MAVEN_REPO)" --build-no-docs
+	cd lib/ruby/shared/ && rm -rf *openssl* ./org
 
 override_dh_auto_build:
 	mkdir -p lib/jni
-	mkdir -p $(CURDIR)/maven/jruby-complete/target/classes
-	$(DEB_MAVEN_INVOKE) -Pcomplete
-	$(DEB_MAVEN_INVOKE) -Pdist package
+	dh_auto_build -- -Pcomplete
+	dh_auto_build -- -Pdist package
 
 # this got ugly fast
 # there must be a better way to do this
@@ -99,10 +63,10 @@
 		ln -s $$file ./lib/ruby/shared ; \
 	done
 
-	$(DEB_MAVEN_INVOKE) -Ptest test
+	dh_auto_test -- -Ptest test
 	./bin/jruby spec/mspec/bin/mspec ci
-	# enable it when minitest-excludes is available in the archive
-	#./bin/jruby -S ./bin/rake test:mri19
+	./bin/jruby -S ./bin/rake spec:ruby:fast
+	# many tests are broken in test:extended, help is needed to debug them
 	#./bin/jruby -S ./bin/rake test:extended
 
 	# remove links to jruby-openssl library
